<h2>Estratto conto</h2>

[% PROCESS price_macros.tt %]
[% PROCESS date_macros.tt %]

[% IF account_summary.size == 0 %]

<b>Saldo: zero</b>

[% ELSE %]

<p>Saldo finale: <b>[% SET size = account_summary.size - 1;
format_price_euro(account_summary.$size.total) %]</b></p>

<p>Ultimi movimenti: </b>

[%
    fields = [
      {
	db_name  => 'custom_cell',
	out_name => 'Data:',
	custom_cell => '[' _ '% format_date(row.date) %' _ ']',
      },
      {
	db_name  => 'description',
	out_name => 'Descrizione movimento:',
      },

      {
	db_name  => 'custom_cell',
	out_name => 'Dare:',
	is_numeric = 1,
	custom_cell = '[' _ '% format_euro(row.amount_debit) %' _ ']',
      },
      {
	db_name  => 'custom_cell',
	out_name => 'Avere:',
	is_numeric = 1,
	custom_cell = '[' _ '% format_euro(row.amount_credit) %' _ ']',
      },
      {
	db_name  => 'custom_cell',
	out_name => 'Saldo:',
	is_numeric = 1,
	custom_cell = '[' _ '% format_euro(row.total) %' _ ']',
      },
      ];

   dataset = account_summary;
%]

[% PROCESS unsortable_dataset_table.tt %]



[% END %]